> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udmapvectorlayer.md).

# New-UDMapVectorLayer

### Sinossi

Crea un livello vettoriale della mappa.

### Sintassi

```powershell
New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Circle -Latitude <Double> -Longitude <Double> -Radius <Int32> [-Popup <Object>] [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Polyline -Positions <Object> [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Polygon -Positions <Object> [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -Rectangle -LatitudeTopLeft <Double> -LongitudeTopLeft <Double> -LatitudeBottomRight <Double> -LongitudeBottomRight <Double> [<CommonParameters>]

    New-UDMapVectorLayer [-Id <String>] [-Color <DashboardColor>] [-FillColor <DashboardColor>] [-FillOpacity <Double>] [-Weight <Int32>] [-Opacity <Double>] -GeoJSON <String> [<CommonParameters>]
```

### Descrizione

Crea un livello vettoriale della mappa.

### Parametri

#### -Id

L'id del livello vettoriale della mappa. Il valore predefinito è un nuovo GUID.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Color

Il colore del livello vettoriale.

```
Required?                    false
Position?                    named
Default value                black
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -FillColor

Il colore di riempimento del livello vettoriale.

```
Required?                    false
Position?                    named
Default value                black
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -FillOpacity

L'opacità di riempimento del livello vettoriale.

```
Required?                    false
Position?                    named
Default value                0.5
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Weight

Lo spessore del livello vettoriale.

```
Required?                    false
Position?                    named
Default value                3
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Opacity

L'opacità del livello vettoriale.

```
Required?                    false
Position?                    named
Default value                1
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Circle [<SwitchParameter>]
        Creates a circle.

Required?                    true
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Latitude

La latitudine del cerchio.

```
Required?                    true
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Longitude

La longitudine del cerchio.

```
Required?                    true
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Radius

Il raggio del cerchio.

```
Required?                    true
Position?                    named
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Polyline [<SwitchParameter>]
        Creates a polyline.

Required?                    true
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -Polygon [<SwitchParameter>]
        Creates a polygon.

Required?                    true
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Positions Le posizioni della polilinea o del poligono.Required?                    truePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    -Rectangle \[\<SwitchParameter>]        Creates a rectangle.Required?                    truePosition?                    namedDefault value                FalseAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LatitudeTopLeftLa latitudine dell'angolo superiore sinistro del rettangolo.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-LongitudeTopLeftLa longitudine dell'angolo superiore sinistro del rettangolo.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-LatitudeBottomRightLa latitudine dell'angolo inferiore destro del rettangolo.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-LongitudeBottomRightLa longitudine dell'angolo inferiore destro del rettangolo.Required?                    truePosition?                    namedDefault value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-Popup Il popup del livello vettoriale. Usi New-UDMapPopup per creare un popup.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-GeoJSONIl GeoJSON del livello vettoriale. È un'alternativa alla specifica della longitudine e della latitudine.Required?                    truePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216>).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udmapvectorlayer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
